Skip to main content
PUT
/
v1
/
escalation_levels
/
{id}
Update an escalation level
curl --request PUT \
  --url https://api.rootly.com/v1/escalation_levels/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "escalation_levels",
    "attributes": {
      "delay": 123,
      "position": 123,
      "escalation_policy_path_id": "<string>",
      "paging_strategy_configuration_strategy": "default",
      "paging_strategy_configuration_schedule_strategy": "on_call_only",
      "notification_target_params": [
        {
          "id": "<string>"
        }
      ]
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/escalation_levels/{id}"

payload = { "data": {
"type": "escalation_levels",
"attributes": {
"delay": 123,
"position": 123,
"escalation_policy_path_id": "<string>",
"paging_strategy_configuration_strategy": "default",
"paging_strategy_configuration_schedule_strategy": "on_call_only",
"notification_target_params": [{ "id": "<string>" }]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'escalation_levels',
attributes: {
delay: 123,
position: 123,
escalation_policy_path_id: '<string>',
paging_strategy_configuration_strategy: 'default',
paging_strategy_configuration_schedule_strategy: 'on_call_only',
notification_target_params: [{id: '<string>'}]
}
}
})
};

fetch('https://api.rootly.com/v1/escalation_levels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "attributes": {
      "escalation_policy_id": "<string>",
      "delay": 123,
      "position": 123,
      "notification_target_params": [
        {
          "id": "<string>"
        }
      ],
      "escalation_policy_path_id": "<string>",
      "paging_strategy_configuration_strategy": "default",
      "paging_strategy_configuration_schedule_strategy": "on_call_only",
      "created_at": "<string>",
      "updated_at": "<string>"
    },
    "type": "escalation_levels"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
object
required

Response

escalation policy updated with notification_target set with slack_channel_id instead of slack_channel uuid

data
object
required
included
object[]